## bock 0.20

=== debian/changelog ===
bock (0.20) frozen unstable; urgency=low

  * Portability fixes:
    + Remove -Werror, to cope with egcs's detection of variables possibly
      used without initialisation, which is detects them where gcc doesn't
      (possibly wrongly so).
    + Represent Java ints as C ints, not C longs.  This should be
      appropriate for gcc/egcs on both 32- and 64-bit architectures.
    + When constructing a memberdecl, cast the second member to (union
      member), rather than to (struct fielddecl *), the type of the
      first member of union member, for egcs compatibility.
    + java.lang.Object.hashCode(): cast first to long int (same size
      as void* on all architectures), then to Javaint; this avoids a
      compiler warning on 64-bit architectures.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Mon, 18 Jan 1999 21:45:44 +0000

bock (0.19.1) frozen unstable; urgency=low

  * Recompile to fix dependencies.  Now depends on libc6, with no
    version requirement.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 11 Dec 1998 20:32:02 +0000

bock (0.19) unstable; urgency=low

  * Don't dump core if a type inherits from a nonexistent type.

  * Add the rest of the Java 1.1 grammar (and munge everything slightly
    to make it LALR(1)...).  Since there's no back-end support for inner
    or nested classes yet, actually using any of this new grammar causes
    error messages.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sun, 15 Nov 1998 22:55:58 +0000

bock (0.18) unstable; urgency=low

  * Implemented float and double constants.  (In fact, bock just passes
    them through, almost unchanged, and lets the C compiler parse them.)
  * Added some Java 1.1 features:
    + Non-static initalisers
    + Final locals and parameters (as a no-op)
    + Blank finals can be had for free, because bock doesn't check
      finals anyhow
    + Anonymous array expressions

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sun, 25 Oct 1998 18:13:19 +0000

bock (0.17) frozen unstable; urgency=medium

  * Got rid of the "retflag undefined" C error for block-structured
    statements enclosed within static initialisers.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 22 Oct 1998 14:01:06 +0100

bock (0.16) unstable; urgency=low

  * Escaped dollars in identifiers as "_4".
  * Implemented java.lang.Integer.parseInt().
  * Started implementing java.io.File.
  * Fixed a type error when string-converting bytes and shorts.
  * Minor changes to the bock and jcomp man pages.
  * Mention jcomp in the package extended description.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sat,  3 Oct 1998 02:50:15 +0100

bock (0.15) unstable; urgency=low

  * Build statementexpressionlists in forward, rather than reverse order.
  * Delete codegen_stmtexprlist() replacing calls to it with calls to
    codegen_block().
  * Record in the parse tree the number of pairs of empty square brackets
    after local variable and field declarators.
  * Do some simplifying transformations on the parse tree before starting
    to resolve names:
    + Separate local variable and field declarations describing many
      locals or fields into many declarations describing one local or
      field each.
    + Extract the initialisation step from for statements, creating an
      enclosing block to correctly scope declarations.
  * After each local or field declaration is separate, incorporate the
    additional array dimentions stored.

  * As a result of the above, square brackets indicating additional
    array dimensions may now be placed after declarators.  Whew!
  * Back out the square-bracket changes to the copy of JLex in the
    test suite.

  * Made square brackets after method declarators work.  (Which was not
    nearly so difficult as for local and field declarators.)

  * When running bock with no arguments, give usage message.
  * Insert a few "this can't happen" assertions.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 25 Sep 1998 01:23:07 +0100

bock (0.14) unstable; urgency=low

  * Implemented stack traces.  The implementation may be somewhat
    inefficient, but at least we now have some kind of diagnostics.
  * Implemented \uXXXX Unicode escapes.  Caveat: these work ONLY in
    character and string literals.  These literals are, however, fully
    16-bit clean.  '\0' in string literals now works properly.

  * Implemented java.io.BufferedInputStream.

  * Made java.io.FilterOutputStream call its flush() method before
    closing its contained stream.  This doesn't conform to the JLS, but
    it is specified by both the JDK 1.1 documentation, and common sense.
  * Fixed a bug in toString() in both java.lang.Integer and
    java.lang.Long, where an erroneous '0' was inserted in single-digit
    negative numbers.
  * Fixed a hideous bug in the set() and clear() methods of
    java.util.BitSet.  (I transposed &= with |=.)

  * Made stringpool_intern_wide() allocate memory using xmalloc()
    (which calls GC_malloc()), rather than calling malloc() and realloc()
    directly and then storing pointers to GC_malloc()ed memory in there.
    This seems to have been causing memory to be collected too early,
    and was corrupting the string pool.

  * Removed a spurious error message associated with nested array
    initialisers.

  * Since bock can now compile JLex (with minor changes, namely to move
    the square brackets before the declarator in all declarations, and
    to delete a spurious semicolon which javac should not have accepted
    anyway), JLex is now part of bock's test suite.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed, 23 Sep 1998 17:28:18 +0100

bock (0.13) unstable; urgency=low

  * Implement evaluation of array initialisers.
  * Reorganise block generation to put all local declarations first,
    enabling switch statements to be compiled.
  * Implement switch/case statements.

  * Do string conversion on arrays correctly; don't treat them like
    their element type.

