=== debian/control ===
Source: bock
Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
Section: devel
Priority: extra
Standards-Version: 2.4.1

Package: bock
Architecture: any
Depends: ${bock:Depends}
Section: devel
Priority: extra
Description: Bootstrap-only compiler kit for a subset of Java(tm)
 BOCK is a prototype native compiler, originally intended to enable
 a Java(tm) development environment to be bootstrapped from a C-only
 environment.  It was envisioned that its sole purpose in life would be
 to compile the forthcoming "Jackal" Java compiler.
 .
 BOCK has, since then, gained functionality, and should soon be able
 to compile most non-graphical Java programs.  Its lack of anything
 resembling error checking means that it won't be of much use for
 development, but it might be able to generate a reasonably fast binary
 version of your program.
 .
 That said, BOCK is still very much in the pre-alpha testing stage.
 It is therefore unlikely to be of use to anyone except dedicated hackers
 and developers.
 .
 Also included is "jcomp", a slightly more friendly front-end for bock,
 which compiles programs against the BOCK mini-library and compiles
 BOCK's C output to native code in one step.
