## bock 0.20.2.1

=== debian/changelog ===
bock (0.20.2.1) unstable; urgency=low

  * NMU
  * Changed to build depend on libgc6-dev instead of libgc5-dev.  (closes:
    Bug#111304, Bug#105097)

 -- Doug Porter <dsp@debian.org>  Mon, 19 Nov 2001 12:36:05 -0500

bock (0.20.2) unstable; urgency=low

  * Move documentation to /usr/share/doc and /usr/share/man.
    Closes: bug 91396.
  * LEGAL file now refers to /usr/share/common-licenses instead of
    /usr/doc/copyright.
  * NOT updated standards-version because I haven't verified that the
    package compiles with current policy.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  5 Jun 2001 16:12:27 +0100

bock (0.20.1) unstable; urgency=low

  * Add build-depends.  Closes:bug#70194.
  * Recompile against libgc5.  Closes:bug#70903,#52333.
  * Check results of IEEE float test case insensitively.  It seems that
    different compilers/libraries capitalise "Inf" differently as the
    printed version of an IEEE infinity.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue,  9 Jan 2001 22:26:07 +0000
