=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Section: devel
 Priority: extra
 Standards-Version: 2.4.1
+Build-Depends: libgc6-dev
 
 Package: bock
 Architecture: any
