## bock 0.20.2.6

=== debian/changelog ===
bock (0.20.2.6) unstable; urgency=low

  * Uploading with maintainer set to QA group

 -- Andrew Pollock <apollock@debian.org>  Wed, 12 Nov 2003 23:31:52 +1100

bock (0.20.2.5) unstable; urgency=low

  * NMU.
  * debian/control:
    + Fixed the libgc-dev build-dependency (Closes: #211344).
    + Set policy to 3.6.1.0.
  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 24 Sep 2003 16:54:51 +0200

bock (0.20.2.4) unstable; urgency=low

  * NMU.
  * Fixed a stupid typo in debian/control from the previous NMU that broke
    the build dependencies. Sorry.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Jun 2003 04:49:36 +0200

bock (0.20.2.3) unstable; urgency=low

  * NMU.
  * debian/rules:
    + Switched to debhelper to avoid permission issues with the autobuilders
      that use sudo (Closes: #196627).
  * debian/control:
    + Replaced ${bock:Depends} with ${shlibs:Depends}
    + Added a build dependency on debhelper (>=3.0).
  * Fixed jcomp.in so that the order in which options are given does not
    matter.
  * Some ARM platforms do not have IEEE doubles. Fixed types.c to implement
    word-swapping whenever necessary thanks to Philip Blundell. Fixed the
    test in ctest/floattest.c likewise.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon,  9 Jun 2003 14:42:48 +0200

bock (0.20.2.2) unstable; urgency=low

  * NMU (two RC bugs, one more than 3 months old).
  * debian/control:
    + Set policy to 3.5.10.
    + Uncapitalized the short description.
    + Added a versioned build dependency on libgc6-dev (>= 1:6.0) to fix the
      generated package's dependencies (Closes: #180969).
    + Added a build dependency on flex because we link with -lfl.
  * Fixed a call to abort() in error.c.
  * Fixed codegen.c by replacing component[0] with component[] in the generated
    code so that gcc properly initializes the arrays. All the included tests
    work again (Closes: #187843).
  * Got rid of debian/prerm and debian/postinst because we no longer need to
    set the /usr/doc link.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  5 Jun 2003 16:17:06 +0200
