=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: bock
-Maintainer: Charles Briscoe-Smith <cpbs@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: devel
 Priority: extra
-Standards-Version: 2.4.1
-Build-Depends: libgc6-dev
+Standards-Version: 3.6.1.0
+Build-Depends: debhelper (>= 3.0), libgc-dev, flex
 
 Package: bock
 Architecture: any
-Depends: ${bock:Depends}
+Depends: ${shlibs:Depends}
 Section: devel
 Priority: extra
-Description: Bootstrap-only compiler kit for a subset of Java(tm)
+Description: bootstrap-only compiler kit for a subset of Java(tm)
  BOCK is a prototype native compiler, originally intended to enable
  a Java(tm) development environment to be bootstrapped from a C-only
  environment.  It was envisioned that its sole purpose in life would be
