=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr
	@if ! grep -q "HAVE_LIBGC=1" Makefile; then \
	  echo "***** Error: bock should be built with libgc installed" 1>&2; \
	  exit 1; \
	fi
	$(MAKE)
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	if test -e Makefile; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share
	$(MAKE) prefix=`pwd`/debian/bock/usr install
	mkdir -p `pwd`/debian/bock/usr/share
	cd `pwd`/debian/bock/usr/ && mv doc man share/
	rm -f `pwd`/debian/bock/usr/share/doc/bock/COPYING
	echo '// Please refer to /usr/share/doc/bock/copyright for legal' \
	  > `pwd`/debian/bock/usr/share/bock/lib/LEGAL
	echo '// details pertaining to the files in this directory.' \
	  >> `pwd`/debian/bock/usr/share/bock/lib/LEGAL

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installman
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
