## bock 0.20.2.6-build1

=== debian/changelog ===
bock (0.20.2.6-build1) breezy; urgency=low

  * Rebuild to fix unmet dependencies

 -- Benjamin Montgomery <bmontgom@montynet.org>  Sun,  7 Aug 2005 14:20:24 -0500
